function Protwarbar:CreateDefaults()

	local iconlist = {
		{	-- battle shout
			name = GetSpellInfo(6673),
			x = 475,
			y = 495,
			spellid = 6673,
			enabled = true,
			hideOnCD = false,
			size = 35,
			talent = nil,
		},
		{	-- berserker rage
			name = GetSpellInfo(18499),
			x = 512,
			y = 495,
			spellid = 18499,
			enabled = true,
			hideOnCD = false,
			size = 35,
			talent = nil,
		},
		{	-- shield slam
			name = GetSpellInfo(23922),
			x = 512,
			y = 532,
			spellid = 23922,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
		},
		{	-- revenge
			name = GetSpellInfo(6572),
			x = 475,
			y = 532,
			spellid = 6572,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
		},
		{	-- shieldwall
			name = GetSpellInfo(871),
			x = 620,
			y = 410,
			spellid = 871,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
		},
		{	-- last stand
			name = GetSpellInfo(12975),
			x = 657,
			y = 410,
			spellid = 12975,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
		},
		{	-- rallying cry
			name = GetSpellInfo(97462),
			x = 694,
			y = 410,
			spellid = 97462,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
		},
		{	-- demo shout
			name = GetSpellInfo(1160),
			x = 731,
			y = 410,
			spellid = 1160,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
		},
		{	-- thunder clap
			name = GetSpellInfo(6343),
			x = 512,
			y = 569,
			spellid = 6343,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
		},
		{	-- impending victory
			name = GetSpellInfo(103840),
			x = 512,
			y = 569,
			spellid = 103840,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = 6,
		},
		{	-- enraged regen
			name = GetSpellInfo(55694),
			x = 512,
			y = 569,
			spellid = 55694,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = 4,
		},
		{	-- bladestorm
			name = GetSpellInfo(46924),
			x = 512,
			y = 569,
			spellid = 46924,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = 10,
		},
		{	-- shockwave
			name = GetSpellInfo(46968),
			x = 512,
			y = 569,
			spellid = 46968,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = 11,
		},
		{	-- dragon roar
			name = GetSpellInfo(118000),
			x = 512,
			y = 569,
			spellid = 118000,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = 12,
		},		
	}

	local barlist = {
		{ 	-- shieldwall
			name = GetSpellInfo(871),
			enabled = true,
			color = {0, 1, 0, 1},
		},
		{ 	-- last stand
			name = GetSpellInfo(12975),
			enabled = true,
			color = {1, 1, 0, 1},
		},
		{ 	-- rallying cry
			name = GetSpellInfo(97462),
			enabled = true,
			color = {0, 1, 1, 1},
		},
		{ 	-- demo shout cry
			name = GetSpellInfo(1160),
			enabled = true,
			color = {0.5, 0.5, 1, 1},
		},
		{ 	-- shield barrier
			name = GetSpellInfo(112048),
			enabled = true,
			color = {0, 0, 1, 1},
		},
		{	-- shield block
			name = GetSpellInfo(2565),
			enabled = true,
			color = {1, 0, 0, 1},
		},		
	}


  	local defaults = {
  		profile = {
  			enabled = true,
  			showInProtOnly = true,
  			locked = false,
  			hideooc = false,
  			rageFrame = {
	  			color20 = {0.7, 0.5, 1, 1},
	  			color60 = {0, 1, 1, 1},
	  			color100 = {0, 1, 0, 1},
	  			color120 = {0, 1, 0, 1},
	  			colorMax = {1, 0, 0, 1},
	  			width = 250,
	  			height = 25,
	  			orientation = "HORIZONTAL",
	  			x = 550,
	  			y = 500,
				background = {0, 0, 0, 0.6},
				texture = "Solid",
				font = "Big Noodle",
				fontsize = 19,
  			},
			IconsEnabled = true,
			icons = iconlist,
			bars = barlist,
			InformationFrame = {
				enabled = true,
  				x = 805,
  				y = 500,
				width = 90,
				height = 25,
				font = "Big Noodle",
				fontsize = 19,
				vengeance = {
					enabled = true,
				},
  				shieldBarrier = {
  					enabled = true,
  				}
			},
			shieldFrame = { 
				x = 550, 
				y = 525,
				enabled = true,
				width = 250,
				height = 7,
				orientation = "HORIZONTAL",
				texture = "Solid",
				background = {0, 0, 0, 0},
				barcount = 3,
				infoFrame = {
					enabled = true,
					font = "Arial Narrow",
					fontsize = 7,			
				},
			},

 		}
	}

	return defaults	
end