local cdtable = {}
local PWB = Protwarbar:getPWB()

-- init the table to keep track of when a CD started
for i = 1, PWB_ICON_COUNT do
	cdtable[i] = {0, 0}
end

function Protwarbar:UpdateIcons()
	if PWB.db.profile.IconsEnabled == false then
		return nil
	end

	for i = 1, PWB_ICON_COUNT do
		if PWB.db.profile.icons[i].enabled then 
			Protwarbar:updateIcon(PWB.db.profile.icons[i], PWB.iconFrames[i], PWB.IconCooldown[i], cdtable[i])
		end
	end
end

function Protwarbar:updateIcon(icon, frame, cooldown, cdtable)
	local start, duration, enabled = GetSpellCooldown(icon.spellid);

	if cdtable[1] ~= start or cdtable[2] ~= duration then
		cdtable[1] = start
		cdtable[2] = duration

		if icon.hideOnCD then
			if duration > 1.5 then
				frame.texture:SetAlpha(0)
			else
				frame.texture:SetAlpha(1)
			end
		else
			CooldownFrame_SetTimer(cooldown, start, duration, 1)
		end
	end

end